## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global puzzleset keesing
%global srcname puzzle-sets-%{puzzleset}

Name:           crosswords-%{srcname}
Version:        4.3
Release:        %autorelease
Summary:        Dutch puzzle sets from web.keesing.com for GNOME Crosswords

License:        GPL-3.0-or-later
URL:            https://gitlab.gnome.org/philip.goto/%{srcname}
Source:         %{url}/-/archive/%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  gcc
BuildRequires:  libappstream-glib
BuildRequires:  meson

BuildRequires:  glib2-devel
BuildRequires:  json-glib-devel

Requires:       crosswords
Supplements:    crosswords

# For the downloader script
Requires:       python3
Requires:       python3dist(python-dateutil)
Requires:       python3dist(requests)
Requires:       python3dist(xmltodict)

%description
This repo contains Dutch puzzle set downloaders for GNOME Crosswords. The
puzzles are pulled from web.keesing.com and converted to ipuz format supported
by Crosswords.

%prep
%autosetup -n %{srcname}-%{version} -p1

%build
%meson
%meson_build

%install
%meson_install

install -Dpm0755 ikeesing.py %{buildroot}%{_libexecdir}/ikeesing

%check
appstream-util validate-relax --nonet \
  %{buildroot}%{_metainfodir}/org.gnome.Crosswords.PuzzleSets.%{puzzleset}.metainfo.xml

%files
%license COPYING
%doc README.md
%{_datadir}/crosswords/puzzle-sets/%{puzzleset}
%{_libexecdir}/ikeesing
%{_metainfodir}/org.gnome.Crosswords.PuzzleSets.%{puzzleset}.metainfo.xml

%changelog
## START: Generated by rpmautospec
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Sep 05 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 4.3-1
- Update to 4.3; Fixes: RHBZ#2188424

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Feb 22 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 4.1-1
- Update to 4.1; Fixes: RHBZ#2164601

* Sun Jan 22 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 4.0-1
- Update to 4.0; Fixes: RHBZ#2161925

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 18 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 3.0-2
- Add Supplements for crosswords

* Sat Dec 24 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 3.0-1
- Initial import; Fixes: RHBZ#2138054
## END: Generated by rpmautospec
